(* Title Run_Tests on isac
$ cd /usr/local/isabisac/test/Tools/isac
$ /usr/local/isabisac/bin/isabelle emacs Run_Tests.thy &

was sml/RTEST-root.sml in isac-2002
*)

theory Test_Isac imports Isac begin
 
ML{* writeln "**** run the tests **************************************" *};
(* 
cd "systest";
(*+ check kbtest/diffapp.sml for additional items in met-model*)
       	use"root-equ.sml"; 
       	use"script.sml";   
	(* use"script_if.sml"; WN03 missing: is_rootequation_in*)
       	use"scriptnew.sml";     
       	use"subp-rooteq.sml";   
	use"tacis.sml";
	use"interface-xml.sml";
	(* use"testdaten.sml"; no update after dropping 'errorBound'*)    
 	cd "../..";
*)
ML{* writeln "**** run systests complete ******************************" *};
(*
cd"smltest/Scripts";
 	use"calculate-float.sml";
 	use"calculate.sml";
	use"listg.sml";
	use"rewrite.sml";
 	use"scrtools.sml";
        use"term.sml";
 	use"tools.sml";
 	cd "../.."; 
cd"smltest/ME";
        use"ctree.sml";
*)
use "Interpret/calchead.sml"
(*
       	use"calchead.sml"; 
 	use"rewtools.sml";
        use"solve.sml"; (*detailrls can notyet ackn. 'Rewrite_Set "cancel"' *);
        use"inform.sml";
	use"me.sml";
       	use"ptyps.sml"; 
 	cd "../.."; 
cd"smltest/xmlsrc";
 	use"datatypes.sml";        
       	use"pbl-met-hierarchy.sml"; 
       	use"thy-hierarchy.sml"; 
 	cd "../.."; 
cd"smltest/FE-interface";
       	use"interface.sml";
 	cd "../..";
*)
ML{* writeln "**** run tests on math-engine complete ******************" *};
(*
cd"smltest/IsacKnowledge";
        use"atools.sml";
 	use"complex.sml";
 	use"diff.sml";
 	use"diffapp.sml";
	use"integrate.sml";
	use"equation.sml";
	(*use"inssort.sml"; problems with recdef in Isabelle2002*)
 	use"logexp.sml";
 	use"poly.sml";
 	use"polyminus.sml";
 	use"polyeq.sml";  (*TODO 31.b, n1., 44.a, 1.a~, 1.b (all'expanded')WN
 			     ? also check others without check 'diff.behav.'*);
 	use"rateq.sml";
 	use"rational.sml" (*TODO add_fractions_p throws overflow-exn      WN*);
 	use"rlang.sml";    (*WN.12.6.03: for TODOs search 'writeln', 
 			     for simplification search MG 
 		 erls:       98a(1) 104a(1) 104a(2) 68a *);
 	use"root.sml";
 	use"rooteq.sml";
 	use"rootrateq.sml";
 	use"termorder.sml";
 	use"trig.sml";
 	use"vect.sml";  
	use"wn.sml";
	use"eqsystem.sml";
	use"biegelinie.sml";
	use"algein.sml";
 	cd "../..";
*)
ML{* writeln "**** run tests on IsacKnowledge complete ****************" *};
(*
val path = "/home/neuper/proto2/testsml2xml/"; 
pbl_hierarchy2file (path ^ "pbl/");
pbls2file          (path ^ "pbl/");
met_hierarchy2file (path ^ "met/");
mets2file          (path ^ "met/");
thy_hierarchy2file (path ^ "thy/");
thes2file          (path ^ "thy/");
cd"sml";
*)
ML{* writeln "**** tested creation of xmldata *************************" *};

ML{*states:=[];
     writeln "=========================================================";
     
     writeln "**** run systests complete ***************** re-organize!";
     writeln "**** run tests on math-engine complete ******************";
     writeln "**** run tests on IsacKnowledge complete ****************";
     writeln "**** build isac kernel + run tests complete *************";
     writeln "**** tested creation of xmldata *************************";
*}

end
